/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.demo;

import java.util.Date;
import javax.enterprise.context.RequestScoped;
import javax.inject.Named;

import javax.validation.constraints.Past;

/**
 *
 * @author Administrator
 */

@RequestScoped
@Named

public class UserBean {

    /**
     * Creates a new instance of UserBean
     */
    public UserBean() {
    }
    @NotEmpty
    protected String firstName;
    @NotEmpty
    protected String lastName;
    @Past
    protected Date dob;

    public String getFirstName() {
        return firstName;
    }

    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }

    public String getLastName() {
        return lastName;
    }

    public void setLastName(String lastName) {
        this.lastName = lastName;
    }

    public Date getDob() {
        return dob;
    }

    public void setDob(Date dob) {
        this.dob = dob;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }
    protected String sex;
    protected String email;
}
